#include "p30f6014A.h"
#include "stdio.h"
#include "string.h"
#include <uart/e_uart_char.h>
#include <bluetooth/e_bluetooth.h>
#include <motor_led/e_epuck_ports.h>
#include <motor_led/e_init_port.h>
#include <motor_led/advance_one_timer/e_led.h>
#include "memory.h"

char buffer[BUFFER_SIZE];

int main() {

	//system initialization
	e_init_port();    // configure port pins      
	e_init_uart1();   // initialize UART to 115200 Kbaud

        // write pin number
        strcpy(buffer, "1234");
        if(e_bt_write_local_pin_number(buffer)) {
            e_set_led(1, 1);    // error!
        } else {
            e_set_led(1, 0);   // no error
        }

        // write friendly name
        sprintf(&buffer[100], "e-puck_%s", buffer);
        if(e_bt_write_local_name(&buffer[100])) {
            e_set_led(2, 1);    // error!
        } else {
            e_set_led(2, 0);    // no error!
        }
        
        while( 1 ){
            e_set_led(0, 2);    // toggle led 0
        }
		
	return 0;
        
}

